# PlexModule (server 1.1 API)
declaration: package: dev.plex.module, class: PlexModule

Package dev.plex.module

# Class PlexModule

java.lang.Object
dev.plex.module.PlexModule

public abstract class PlexModule extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<PlexCommand>`
`commands`
`private File`
`dataFolder`
`private final List<PlexListener>`
`listeners`
`private org.apache.logging.log4j.Logger`
`logger`
`private Plex`
`plex`
`private PlexModuleFile`
`plexModuleFile`

## Constructor Summary

Constructors
Constructor
Description
`PlexModule()`

## Method Summary

Modifier and Type
Method
Description
`void`
`disable()`
`void`
`enable()`
`PlexCommand`
`getCommand(String name)`
`@Nullable InputStream`
`getResource(@NotNull String filename)`
`void`
`load()`
`void`
`registerCommand(PlexCommand command)`
`void`
`registerListener(PlexListener listener)`
`void`
`unregisterCommand(PlexCommand command)`
`void`
`unregisterListener(PlexListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### commands

private final List<PlexCommand> commands

### listeners

private final List<PlexListener> listeners

### plex

private Plex plex

### plexModuleFile

private PlexModuleFile plexModuleFile

### dataFolder

private File dataFolder

### logger

private org.apache.logging.log4j.Logger logger

## Constructor Details

### PlexModule

public PlexModule()

## Method Details

### load

public void load()

### enable

public void enable()

### disable

public void disable()

### registerListener

public void registerListener(PlexListener listener)

### unregisterListener

public void unregisterListener(PlexListener listener)

### registerCommand

public void registerCommand(PlexCommand command)

### unregisterCommand

public void unregisterCommand(PlexCommand command)

### getCommand

public PlexCommand getCommand(String name)

### getResource

@Nullable public @Nullable InputStream getResource(@NotNull @NotNull String filename)